/* prelude-config.h -- 
 * Copyright 2008 Red Hat Inc., Durham, North Carolina.
 * All Rights Reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Authors:
 *   Steve Grubb <sgrubb@redhat.com>
 * 
 */

#ifndef PRELUDE_CONFIG_H
#define PRELUDE_CONFIG_H

#include "audisp-int.h"

typedef enum { E_NO, E_YES  } enable_t;

typedef struct prelude_conf
{
	const char *profile;
	enable_t avcs;
	enable_t logins;
	enable_t login_failure_max;
	enable_t login_session_max;
	enable_t login_location;
	enable_t login_time;
	enable_t abends;
	enable_t promiscuous;
	enable_t mac_status;
	enable_t group_auth;
	enable_t watched_acct;
	ilist watched_accounts;
} prelude_conf_t;

void clear_config(prelude_conf_t *config);
int  load_config(prelude_conf_t *config, const char *file);
void free_config(prelude_conf_t *config);

#endif

